2009-12-17 21:41:27     Warning: Compiled for Rev 5, but running on Rev 3

Document created by Aaronwu Employee on Sep 25, 2013
Version 1Show Document
  • View in full screen mode

2009-12-17 21:41:27     Warning: Compiled for Rev 5, but running on Rev 3

zhongztc zhongztc (CHINA)

Message: 83655   

 

Hi,

 

I installed the latest U-boot (U-Boot 2008.10 (ADI-2009R1-rc3) (Jul 16 2009 - 18:03:27)) and ran ramboot which is default. I am using "uImage-bf561-ezkit-2009R1-RC6" However, I got an error.

 

Can you please help me to solve this problem?

 

 

 

## Booting kernel from Legacy Image at 01000000 ...

   Image Name:   Linux-2.6.28.10-ADI-2009R1

   Image Type:   Blackfin Linux Kernel Image (gzip compressed)

   Data Size:    3806247 Bytes =  3.6 MB

   Load Address: 00001000

   Entry Point:  0016d674

   Verifying Checksum ... OK

   Uncompressing Kernel Image ... OK

Starting Kernel at = 0016d674

Linux version 2.6.28.10-ADI-2009R1 (root@eight) (gcc version 4.1.2 (ADI svn)) #1

8 Wed Aug 19 19:17:09 CST 2009

bootconsole [early_shadow0] enabled

bootconsole [early_BFuart0] enabled

early printk enabled on early_BFuart0

Board Memory: 64MB

Kernel Managed Memory: 64MB

Memory map:

  fixedcode = 0x00000400-0x00000490

  text      = 0x00001000-0x000f1b10

  rodata    = 0x000f1b10-0x0013d214

  bss       = 0x0013e000-0x0014f768

  data      = 0x0014f768-0x00160000

    stack   = 0x0015e000-0x00160000

  init      = 0x00160000-0x00726000

  available = 0x00726000-0x03eff000

  DMA Zone  = 0x03f00000-0x04000000

Hardware Trace Active and Enabled

Boot Mode: 0

Blackfin support (C) 2004-2009 Analog Devices, Inc.

Compiled for ADSP-BF561 Rev 0.5

Warning: Compiled for Rev 5, but running on Rev 3

Kernel panic - not syncing: Error: you are missing anomaly workarounds for this

rev

QuoteReplyEditDelete

 

 

2009-12-17 22:30:36     Re: Warning: Compiled for Rev 5, but running on Rev 3

Robin Getz (UNITED STATES)

Message: 83657   

 

Umm  -- did you read the error message at the bottom?

 

You can not compile for 0.5 and run on 0.3

QuoteReplyEditDelete

 

 

2009-12-22 19:08:20     Re: Warning: Compiled for Rev 5, but running on Rev 3

Chung-Ti Hsu (UNITED STATES)

Message: 83849   

 

Try "uImage-bf561-ezkit-2008R1-RC8"

 

I have got the same message as yours. Then I change ti this version and it is working.

Attachments

    Outcomes